<div id="header"><a href="/doc">Documentation</a> / Alerts</div>

Alert handling is based on the industry standard [Alerta](https://docs.alerta.io/en/latest/) framework.

# Alerts page

The Alerts page displays a listing of all the alerts:

<img src="img/usage_monitoring_alarms_list.png" style="width: 700px; object-fit: contain;" alt="Alarms listing"/>

Colors help provide a quick overview of the alerts:

* Alarms are displayed in red
* Warnings are displayed in blue
* Once the alarm/warning condition is no longer met, the row turns green

Clicking on a row in the listing will display additional information about the alert:

<img src="img/usage_monitoring_alarms_details.png" style="width: 700px; object-fit: contain;" alt="Alarm detalis"/>

The buttons on the top of the alert information view allow changing the alert status.

<a name="alert_status" class="anchor"></a>
# Alert status

An alert status may be any of the following:

* Open - This is the default status a newly generated alert will receive. It implies the alert is still relevant as it has not been responded to.
* Shelve - This allows disregarding an alert temporarily, for example due to a maintenance window.
* Ack - The alert is acknowledged. Each organization decides how to use the status internally, but commonly Ack is set when a request has been generated for someone to investigate the issue.
* Close - The alert is no longer relevant.

Changing the alert status does not affect the color of the entry in the alert listing.

# Configure alert conditions

Network specific settings are under [Network monitoring settings in Design](design.md#network_monitoring_settings).<br/>
Node specific settings are configured under [Node monitoring settings in Design](design.md#node_monitoring_settings).

# Alert emails

When alert e-mail settings are properly configured, notification emails can be sent for new events. E-Mail settings are configured on the [Settings](settings.md) page.
