<div id="header"><a href="/doc">Documentation</a> / Monitoring</div>

The **Monitoring** section is built on the open source monitoring framework [Grafana](https://grafana.com/), which is structured around **dashboards** and **panels**. Panels display individual metrics (such as a voltage graph) and the dashboard is a collection of panels arranged in a grid.

A list of existing dashboards is available in the top left corner of the page, next to the main menu.

Dashboards included with NETCO NMS are:

* [Home dashboard](monitoring.md#home_dashboard)
* [Network monitoring dashboard](monitoring.md#network_monitoring_dashboard)
* [Data export dashboard](monitoring.md#data_export_dashboard)
* [System dashboard](monitoring.md#system_monitoring_dashboard)

The option to create [custom dashboards](monitoring.md#custom_dashboards) is also available.

<a name="home_dashboard" class="anchor"></a>
# Home dashboard

Selecting **Monitoring** from the main menu brings the user to the Home dashboard, which is also the default page loaded after logging in.

<img src="img/usage_monitoring_home_dashboard.png" style="width: 700px; object-fit: contain;" alt="Home dashboard"/>

The Home dashboard lists all networks that have **"Monitoring state"** set to either **"on"** or **"paused"**. To remove a network from this list, change the network's **Monitoring / State** to **"off"** under [Network settings in NETCO Design](design.md#network_monitoring_settings).

The network listing also features quick navigation:

* Network name links the [network monitoring dasboard](monitoring.md#network_monitoring_dashboard)
* The node count opens the network in NETCO Design
* Critical alert count links to alerts view
* Monitoring state also opens the network in NETCO Design

<a name="network_monitoring_dashboard" class="anchor"></a>
# Network monitoring dashboard

The Network monitoring dashboard is the default view for monitoring network performance. This dashboard is automatically generated and subject to change with NETCO NMS updates, therefore it can not be modified. A customizable copy of the original can be made, more on that in the [Custom dashboards paragraph](monitoring.md#custom_dashboards).

<img src="img/usage_monitoring_network_dashboard_top.png" style="width: 700px; object-fit: contain;" alt="Network monitoring dashboard"/>

The main navigation aides in the dashboard are:

* Network and Node selection in top left corner
* Time range selection in top right toolbar
* Update interval selection in top right toolbar

The Network monitoring dashboard is agnostic to the type of modems in the network. Some panels may display "No data" when none of the devices in the network support the metric in question. For example, 3AS NMS devices are not packet radios, thus it is normal for packet counter panels to display "No data" in 3AS-only networks. Similarly, due to technical limitations, "Link SNR" is always displayed as zero for 3AS devices.

<a name="data_export_dashboard" class="anchor"></a>
# Data export dashboard

The Data export dashboard allows pulling raw monitoring data in CSV format. To create the CSV file, click the panel name and select "More" -> "Export CSV".

<img src="img/usage_monitoring_data_export_dashboard.png" style="width: 700px; object-fit: contain;" alt="Data export dashboard"/>


<a name="system_monitoring_dashboard" class="anchor"></a>
# System monitoring dashboard

The NETCO NMS server's system performance can be viewed from the System monitoring dashboard.

<img src="img/usage_monitoring_system_dashboard.png" style="width: 700px; object-fit: contain;" alt="System monitoring dashboard"/>

<a name="custom_dashboards" class="anchor"></a>
# Custom dashboards

All of the builtin dashboards mentioned above are automatically generated and are not editable.

To make a editable copy of an existing dashboard, open the dashboard to copy, enter dashboard settings in the top right toolbar and select "Save As...".

<img src="img/usage_monitoring_dashboard_settings.png" alt="Dashboard settings in toolbar"/>
<img src="img/usage_monitoring_dashboard_save_as.png" alt="Dashboard settings / Save As..."/>

Within editable dashboards the bottom right corner of each panel has a grab handle that allows resizing. Panels may also be deleted and rearranged. The panel's top bar has a drop down menu that allows editing layout settings and the data queries to visualize.

<img src="img/usage_monitoring_dashboard_panel_dropdown.png" style="object-fit: contain;" alt="Panel dropdown menu"/>

Full documentation on dashboard customization is available at the [Grafana documentation page](https://grafana.com/docs/grafana/).
