<div id="header"><a href="/doc">Documentation</a> / Settings</div>

When alert e-mail settings are properly configured, notification emails can be sent for new events. The relevant settings are:

* Outgoing email SMTP server
* Outgoing email SMTP server password
* Alert notification email addresses (comma separated)
* Email from address for outgoing email, currently this is also the SMTP username
* Public url where email receiver should go after alert email - defaults to http://localhost/monitoring/alerts

For alert e-mails to be generated, the following conditions must be met:

1. A new alert is generated -- if the alert was already visible in the alerts listing, an e-mail will not be sent. This avoids repeated e-mails for existing events.
1. The alert must have severity level set to *Critical*

# Example configuration using GMail

In this example configuration, a gmail account is created specifically for email alerts. ***It is important to not use your personal or any other critical mail account for this the since the password is stored in plain text on the NETCO NMS server.*** Once the gmail account has been made, create an app password on [https://myaccount.google.com/apppasswords](https://myaccount.google.com/apppasswords), then use it with the Google SMTP server:

| Field         |    Value     |
| :------------- | :-------------       |
| Outgoing email SMTP server | smtp.gmail.com |
| Outgoing email SMTP server password | Password from https://myaccount.google.com/apppasswords |
| Alert notification email addresses | primary@yourcompany.com,secondary@yourcompany.com |
| Email from address for outgoing email | your_dummy_gmail@gmail.com |
| Public url where email receiver should go after alert email | Public url for email alerts dashboard. |

Now after a new critical alarm is triggered, addresses on the notification list should receive e-mails about the alarm.
