<div id="header"><a href="/doc">Documentation</a> / Serial port setup in Windows</div>


## 1. Helper scripts
Port mapping scripts help you to map TCP ports in Docker container to serial port in your host Windows machine.

An open source tool hub4com.exe is used to redirect serial to TCP/IP and TCP/IP to serial. https://sourceforge.net/projects/com0com/

The scripts are in __win_ports__ folder of NETCO NMS package.

### 1.1 Create port mapping

Run a script *create_port.bat* to install serial port mapping as a Windows service. The script starts the mapping, so it will be available even after PC restart.

NOTE! The script must be launched with __Administrator rights__.

__Parameters__:

 - Serial port at Windows machine.
 - Serial port baud rate
 - TCP port which should be mapped to the serial port

Example: *create_port.bat COM5 115200 8282*

### 1.2 Update port mapping

If you once installed port mapping, but you want to change its baud rate or TCP port, you should run create_port.bat with new parameters.

### 1.3 Delete port mapping

Use a script *delete_port.bat* to stop port mapping and uninstall the Windows service. It takes the serial port name as parameter. The script must be launched with __Administrator rights__.

Example: *delete_port.bat COM5*

### 1.4 Temporary Stop and Start mapping

You can temporary stop port mapping without uninstalling the Windows service, for example, to release the serial port. Use a script *stop_port.bat* for that and a script *start_port.bat* to start the Windows service back. The scripts take the serial port name as parameter and must be launched with __Administrator rights__.

Example: *stop_port.bat COM5*

### 1.5 Get port mapping info

Use a script *get_info.bat* to view what serial port mapping is in use, what are the parameters and the service status.

Running *get_info.bat* without parameters will display a mapped ports list.

Running *get_info.bat* with parameter specifying a serial port will display the port mapping details and its service status.

## 2. Connection from NETCO Design

Once the port mapping is installed you can access your device connected to that serial port with ip address *host.docker.internal* and TCP port which you specified for the mapping.

Example of connection string: *sockettcp:ip=host.docker.internal,port=8282*


