#!/bin/bash
set -e

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

if [[ $(/usr/bin/id -u) -ne 0 ]]; then
    echo "Not running as root"
    exit
fi

if [ -d "$DIR/../offline/" ]; then
    echo "Package is offline version, installing offline."

    snap ack $DIR/../offline/docker_384.assert
    snap install $DIR/../offline/docker_384.snap

    snap ack $DIR/../offline/powershell_34.assert
    snap install $DIR/../offline/powershell_34.snap --classic
else
    snap install docker
    snap install powershell --channel=lts/stable --classic

    # Workaround for https://stackoverflow.com/questions/50151833/cannot-login-to-docker-account
    mv /usr/bin/docker-credential-secretservice /usr/bin/docker-credential-secretservice-not-used || true
fi

echo "Adding $SUDO_USER to docker group"
groupadd docker || true
gpasswd -a $SUDO_USER docker

# Snap install pwsh on strange location, lets symlink it to common location
# so that its easier to scripts tell their interpreter.
ln -sf /snap/bin/pwsh /usr/bin/pwsh
