#!/bin/env pwsh

# This script is delivered with offline package and is used to dowload images/required assets to local cache.
[CmdletBinding()]
Param(
)

if (-not (Get-Command "docker" -errorAction SilentlyContinue))
{
    throw "Cannot find 'docker' command from 'PATH'"
}

$SourceDirectory = Resolve-Path "$PsScriptRoot/../offline/docker-images/"

if (-not (Test-Path $SourceDirectory))
{
    throw "Could not find offline package directory $SourceDirectory"
}

Write-Host "Set prequisities to support offline install of netco stack." -ForegroundColor Green

$imageMeta = Get-Content $SourceDirectory/package_meta.json | ConvertFrom-Json

foreach($image in $imageMeta)
{
    Write-Host "Loading image $($image.File) to docker cache as $($image.Image)."
    $imagePath = Resolve-Path "$SourceDirectory/$($image.File)"
    docker load --input $imagePath
}