@ECHO OFF
SET serial_port=%~1
SET baud=%~2
SET tcp_port=%~3
pushd %CD%
%~d0
cd %~p0


::Testing admin rights
"%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system" >nul 2>&1
If %errorLevel% NEQ 0 (
   Echo Failure, please rerun this script from an elevated command prompt. Exiting...
   Exit /B 1
)



IF "%serial_port%" == "" goto invalid_args_error
IF "%baud%" == "" goto invalid_args_error
IF "%tcp_port%" == "" goto invalid_args_error

:: convert serial port to UPPER CASE
for /f "usebackq delims=" %%I in (`powershell "\"%serial_port%\".toUpper()"`) do set "serial_port=%%~I"



SET folder_name=%ProgramData%\Satel\NETCO NMS\mapping_%serial_port%
SET file_name=%folder_name%\%serial_port%_setup


IF EXIST "%folder_name%" (
	echo [41m"%folder_name%" already exists[0m
	goto exist
) ELSE (
	echo Create folder "%folder_name%"
	mkdir "%folder_name%"
	copy .\bin\WinSW-x64.exe "%file_name%.exe"
	goto create_files
)

:exist
set /p inf=<"%folder_name%\info.txt"
echo %inf%
SET /P PROMPT_TXT="Do you want to update it [42m(Y/[N])?[0m  "
IF /I "%PROMPT_TXT%" NEQ "Y" GOTO end
echo Stopping service "Satel NETCO %serial_port%"
net stop "Satel NETCO %serial_port%"
"%file_name%.exe" uninstall --no-elevate || goto error

:create_files
echo ^<service^>> "%file_name%.xml"
echo    ^<id^>netco_%serial_port%^</id^>>> "%file_name%.xml"
echo    ^<name^>Satel NETCO %serial_port%^</name^>>> "%file_name%.xml"
echo    ^<description^>NETCO Serial Port mapping^</description^>>> "%file_name%.xml"
echo    ^<executable^>%CD%\bin\hub4com.exe^</executable^>>> "%file_name%.xml"
echo    ^<arguments^>--octs=off --baud=%baud% %serial_port% --use-driver=tcp %tcp_port%^</arguments^>>> "%file_name%.xml"
echo    ^<log mode="roll-by-size"^>>> "%file_name%.xml"
echo       ^<sizeThreshold^>10240^</sizeThreshold^>>> "%file_name%.xml"
echo       ^<keepFiles^>3^</keepFiles^>>> "%file_name%.xml"
echo    ^</log^>>> "%file_name%.xml"
echo    ^<logpath^>%folder_name%\logs^</logpath^>>> "%file_name%.xml"
echo ^</service^>>> "%file_name%.xml"


echo Install service "Satel NETCO %serial_port%"
"%file_name%.exe" install --no-elevate || goto error
net start "Satel NETCO %serial_port%" || goto error

echo Create info file
echo Serial port: %serial_port%  Baud: %baud%  TCP port: %tcp_port%> "%folder_name%\info.txt" || goto error


echo [42mDONE![0m 
goto end

:invalid_args_error
echo ---
echo USAGE: %0 ^<com port^> ^<baud^> ^<tcp port^>
echo ---
pause
goto end

:error
echo [41mERROR![0m

:end
popd